Package de.gebit.integrity.dsl

## Interface TimeProgressionFactor

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `TimeProgressionFactorImpl`

      public interface TimeProgressionFactor
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Time Progression Factor'.

  The following features are supported:

  - `Fixed Value`
  - `Calculated Value`
  See Also:
    `DslPackage.getTimeProgressionFactor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueOrEnumValueOrOperation` | `getCalculatedValue()` | Returns the value of the 'Calculated Value' containment reference.
    `String` | `getFixedValue()` | Returns the value of the 'Fixed Value' attribute.
    `void` | `setCalculatedValue​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`Calculated Value`' containment reference.
    `void` | `setFixedValue​(String value)` | Sets the value of the '`Fixed Value`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFixedValue

          String getFixedValue()

      Returns the value of the 'Fixed Value' attribute.
      Returns:
        the value of the 'Fixed Value' attribute.
      See Also:
        `setFixedValue(String)`, `DslPackage.getTimeProgressionFactor_FixedValue()`

    - #### setFixedValue

          void setFixedValue​(String value)

      Sets the value of the '`Fixed Value`' attribute.
      Parameters:
        `value` - the new value of the 'Fixed Value' attribute.
      See Also:
        `getFixedValue()`

    - #### getCalculatedValue

          ValueOrEnumValueOrOperation getCalculatedValue()

      Returns the value of the 'Calculated Value' containment reference.
      Returns:
        the value of the 'Calculated Value' containment reference.
      See Also:
        `setCalculatedValue(ValueOrEnumValueOrOperation)`, `DslPackage.getTimeProgressionFactor_CalculatedValue()`

    - #### setCalculatedValue

          void setCalculatedValue​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`Calculated Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Calculated Value' containment reference.
      See Also:
        `getCalculatedValue()`